Subject: Orders for TurboForth Vn 1.2

From: [email-masked]
Date: Fri, 18 Oct 2013 12:10:02 -0400 (EDT)

All,
 
TurboForth Vn 1.2 will be released at the Chicago TI Faire on November 2,  
2013. The 16K EPROMs use one of the Guidry-type boards. The cost of  the 
EPROM and label will be $6 if purchased in person in Chicago or $7 if  ordered 
on-line (to cover shipping). You can contact me at my e-mail address for  
ordering instructions for US destinations ONLY. Any  on-line orders will be 
processed when I return from Chicago.
 
Bob Carmany